### Method

# Gimp Drawable hue_saturation

#### Declaration [src]

    gboolean
    gimp_drawable_hue_saturation (
      GimpDrawable* drawable,
      GimpHueRange hue_range,
      gdouble hue_offset,
      gdouble lightness,
      gdouble saturation,
      gdouble overlap
    )

#### Description [src]

Modify hue, lightness, and saturation in the specified drawable.

This procedure allows the hue, lightness, and saturation in the specified drawable to be modified. The ‘hue-range’ parameter provides the capability to limit range of affected hues. The ‘overlap’ parameter provides blending into neighboring hue channels when rendering.

Available since: | 2.10

#### Parameters

`hue_range` | `GimpHueRange`
| Range of affected hues.
`hue_offset` | `gdouble`
| Hue offset in degrees.
`lightness` | `gdouble`
| Lightness modification.
`saturation` | `gdouble`
| Saturation modification.
`overlap` | `gdouble`
| Overlap other hue channels.

#### Return value

Returns: | `gboolean`
| TRUE on success.